<?php

namespace Drupal\wse_lb;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\SynchronizableInterface;
use Drupal\layout_builder\InlineBlockEntityOperations;
use Drupal\layout_builder\Plugin\Block\InlineBlock;

/**
 * Overrides LB's class for reacting to entity events related to Inline Blocks.
 *
 * @internal
 *   This is an internal utility class wrapping hook implementations.
 */
class InlineBlockEntityOperationsOverride extends InlineBlockEntityOperations {

  /**
   * {@inheritdoc}
   */
  public function handlePreSave(EntityInterface $entity) {
    // @todo Investigate and fix this in a core issue. Start by looking into
    //   parent::handlePreSave().
    if ($entity instanceof SynchronizableInterface && $entity->isSyncing()) {
      return;
    }

    parent::handlePreSave($entity);
  }

  /**
   * {@inheritdoc}
   */
  protected function getPluginBlockId(InlineBlock $block_plugin) {
    return $block_plugin->getConfiguration()['block_id'] ?? NULL;
  }

}
