<?php

namespace Drupal\wse_lb;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Defines a service provider for the WSE Layout Builder module.
 */
class WseLbServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container) {
    $container->register('Drupal\layout_builder\InlineBlockEntityOperations', InlineBlockEntityOperationsOverride::class)
      ->addArgument(new Reference('entity_type.manager'))
      ->addArgument(new Reference('inline_block.usage'))
      ->addArgument(new Reference('plugin.manager.layout_builder.section_storage'));
  }

}
