<?php

namespace Drupal\wse\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\field\BulkForm;

/**
 * Extends core's BulkForm to mark views bulk edit forms as workspace safe.
 *
 * Views plugin forms aren't actual form classes and their form functions are
 * built together into a combined form object, thus we can't mark them as
 * workspace safe without possibly marking other parts as safe which aren't.
 *
 * @see ViewsFormMainForm::buildForm()
 */
class WseBulkForm extends BulkForm {

  /**
   * {@inheritdoc}
   */
  public function viewsForm(&$form, FormStateInterface $form_state) {
    $form_state->set('workspace_safe', TRUE);
    parent::viewsForm($form, $form_state);
  }

}
