<?php

namespace Drupal\wse\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\workspaces\Form\WorkspaceForm;

/**
 * Provides the workspace form.
 *
 * Activates a workspace after it gets created.
 * @see https://www.drupal.org/project/drupal/issues/3278377
 */
class WseWorkspaceForm extends WorkspaceForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    parent::save($form, $form_state);

    // Activates the newly-created workspace.
    $workspace_manager = \Drupal::service('workspaces.manager');
    if ($this->operation === 'add' && !$workspace_manager->hasActiveWorkspace()) {
      $workspace_manager->setActiveWorkspace($this->entity);
    }
  }

}
