<?php

namespace Drupal\wse\Negotiator;

use Drupal\workspaces\Negotiator\QueryParameterWorkspaceNegotiator;
use Symfony\Component\HttpFoundation\Request;

/**
 * Defines a WSE alter of the query parameter workspace negotiator.
 */
class WseQueryParameterWorkspaceNegotiator extends QueryParameterWorkspaceNegotiator {

  /**
   * {@inheritdoc}
   */
  public function getActiveWorkspace(Request $request) {
    $workspace_id = $request->query->get('workspace');

    if ($workspace_id && ($workspace = $this->workspaceStorage->load($workspace_id))) {
      if (wse_workspace_get_status($workspace) === WSE_STATUS_CLOSED) {
        return NULL;
      }

      $this->setActiveWorkspace($workspace);
      return $workspace;
    }

    return NULL;
  }

}
